using AI.Base;
using UnityEngine;

[CreateAssetMenu(menuName = "Custom/BuilderSettings")]
public class BuilderSettings : ScriptableObject, IState {
  [Header("Build Prefabs")]
  public GameObject ObjToSpawn;
  public GameObject ObjAsPreview;

  [Header("VFX")]
  public GameObject Vfx;

  public void Initialize(Transform ownerTransform) {
    throw new System.NotImplementedException();
  }

  public void Start() {
    throw new System.NotImplementedException();
  }

  public void Stop() {
    throw new System.NotImplementedException();
  }

  public void Tick() {
    throw new System.NotImplementedException();
  }
}
